=== modified file 'NEWS'
--- NEWS	2010-05-31 21:38:46 +0000
+++ NEWS	2010-06-01 14:09:27 +0000
@@ -25,6 +25,10 @@
   test that all commands available to the test suite have help.
   (Robert Collins, #177500)
 
+* Explicitly removing ``--profile-imports`` option from parsed command-line
+  arguments on Windows, because bzr script does the same.
+  (Alexander Belchenko, #588277)
+
 Improvements
 ************
 

=== modified file 'bzrlib/win32utils.py'
--- bzrlib/win32utils.py	2010-05-20 02:57:52 +0000
+++ bzrlib/win32utils.py	2010-06-01 14:24:01 +0000
@@ -568,6 +568,10 @@
                 if argv[idx][:1] != '-':
                     break
             argv = argv[idx+1:]
+        # we should remove '--profile-imports' option as well (bug #588277)
+        # see bzr script ~ line 54
+        if '--profile-imports' in argv and '--profile-imports' not in sys.argv:
+            argv.remove('--profile-imports')
         return argv
 else:
     get_unicode_argv = None

